#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	speedcrunch
Version		:	20221223
Release		:	14.8.0.0%{?dist}
Summary		:	A high-precision scientific calculator
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://bitbucket.org/heldercorreia/speedcrunch.git

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#-----------------------------------------------------------------------------
BuildRequires	:	cmake			>= 3.16
BuildRequires	:	qt			>= 5.15
BuildRequires	:	desktop-file-utils
#-----------------------------------------------------------------------------
%description
SpeedCrunch is a high-precision scientific calculator. It features
a syntax-highlighted scrollable display and is designed to be fully
used via keyboard. Some distinctive features are auto-completion of
functions and variables, a formula book, and quick insertion of
constants from various fields of knowledge. It is available for
Windows, OS X, and Linux in a number of languages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/org.%{name}.SpeedCrunch.metainfo.xml
%{_datadir}/applications/org.%{name}.SpeedCrunch.desktop
%{_datadir}/pixmaps/org.%{name}.SpeedCrunch.png

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake 							\
	-B _bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	src

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C _bld						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog
